import request from '@/utils/request'

// 查询订单操作记录列表
export function listLiveOrderStatus(query) {
  return request({
    url: '/live/liveOrderStatus/list',
    method: 'get',
    params: query
  })
}

// 查询订单操作记录详细
export function getLiveOrderStatus(id) {
  return request({
    url: '/live/liveOrderStatus/' + id,
    method: 'get'
  })
}

// 新增订单操作记录
export function addLiveOrderStatus(data) {
  return request({
    url: '/live/liveOrderStatus',
    method: 'post',
    data: data
  })
}

// 修改订单操作记录
export function updateLiveOrderStatus(data) {
  return request({
    url: '/live/liveOrderStatus',
    method: 'put',
    data: data
  })
}

// 删除订单操作记录
export function delLiveOrderStatus(id) {
  return request({
    url: '/live/liveOrderStatus/' + id,
    method: 'delete'
  })
}

// 导出订单操作记录
export function exportLiveOrderStatus(query) {
  return request({
    url: '/live/liveOrderStatus/export',
    method: 'get',
    params: query
  })
}
